com.taosdata.jdbc.ws

## Class TSWSPreparedStatement

- java.lang.Object
- - com.taosdata.jdbc.WrapperImpl
  - - com.taosdata.jdbc.AbstractStatement
    - - com.taosdata.jdbc.ws.WSStatement
      - - com.taosdata.jdbc.ws.AbsWSPreparedStatement
        - - com.taosdata.jdbc.ws.TSWSPreparedStatement

All Implemented Interfaces:
  TaosPrepareStatement, AutoCloseable, PreparedStatement, Statement, Wrapper

    public class TSWSPreparedStatement
    extends AbsWSPreparedStatement

### Field Summary

### Fields inherited from class com.taosdata.jdbc.ws.AbsWSPreparedStatement

`colOrderedMap, colTypeList, fields, isInsert, param, precision, queryTimeout, tagTypeList, toBeBindColCount, toBeBindTableNameIndex, toBeBindTagCount`

### Fields inherited from class com.taosdata.jdbc.ws.WSStatement

`closed, database, resultSet, transport, zoneId`

### Fields inherited from class com.taosdata.jdbc.AbstractStatement

`affectedRows, batchedArgs, instanceId`

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Constructor Summary

Constructors
Constructor and Description
`TSWSPreparedStatement(Transport transport, ConnectionParam param, String database, AbstractConnection connection, String sql, Long instanceId)`
`TSWSPreparedStatement(Transport transport, ConnectionParam param, String database, AbstractConnection connection, String sql, Long instanceId, Stmt2PrepareResp prepareResp)`

### Method Summary

### Methods inherited from class com.taosdata.jdbc.ws.AbsWSPreparedStatement

`addBatch, bindAllToTableInfo, clearParameters, close, columnDataAddBatch, columnDataCloseBatch, columnDataExecuteBatch, execute, executeBatch, executeQuery, executeUpdate, getMetaData, getParameterMetaData, getQueryTimeout, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBigInteger, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBlob, setBoolean, setBoolean, setByte, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setDouble, setFloat, setFloat, setGeometry, setInt, setInt, setLong, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNString, setNull, setNull, setObject, setObject, setObject, setQueryTimeout, setRef, setRowId, setShort, setShort, setSQLXML, setString, setString, setTableName, setTagBigInteger, setTagBoolean, setTagByte, setTagDouble, setTagFloat, setTagGeometry, setTagInt, setTagJson, setTagLong, setTagNString, setTagNull, setTagShort, setTagSqlTypeNull, setTagString, setTagTimestamp, setTagTimestamp, setTagVarbinary, setTime, setTime, setTimestamp, setTimestamp, setTimestamp, setUnicodeStream, setURL, setValueImpl, setVarbinary`

### Methods inherited from class com.taosdata.jdbc.ws.WSStatement

`checkBlobSupport, execute, execute, executeQuery, executeQuery, executeUpdate, executeUpdate, getConnection, getResultSet, getUpdateCount, isClosed`

### Methods inherited from class com.taosdata.jdbc.AbstractStatement

`addBatch, cancel, clearBatch, clearWarnings, closeOnCompletion, execute, execute, execute, executeUpdate, executeUpdate, executeUpdate, getFetchDirection, getFetchSize, getGeneratedKeys, getInstanceId, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getWarnings, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable`

### Methods inherited from class com.taosdata.jdbc.WrapperImpl

`isWrapperFor, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.PreparedStatement

`executeLargeUpdate, setObject, setObject`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, closeOnCompletion, execute, execute, execute, execute, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Constructor Detail

#### TSWSPreparedStatement

    public TSWSPreparedStatement(Transport transport,
                                 ConnectionParam param,
                                 String database,
                                 AbstractConnection connection,
                                 String sql,
                                 Long instanceId,
                                 Stmt2PrepareResp prepareResp)
                          throws SQLException

Throws:
  `SQLException`

#### TSWSPreparedStatement

    public TSWSPreparedStatement(Transport transport,
                                 ConnectionParam param,
                                 String database,
                                 AbstractConnection connection,
                                 String sql,
                                 Long instanceId)
                          throws SQLException

Throws:
  `SQLException`